> ## Documentation Index
> Fetch the complete documentation index at: https://agent-observability-docs.splunk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Extraction



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/log_streams/{log_stream_id}/agent-intent/extractions/{extraction_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/log_streams/{log_stream_id}/agent-intent/extractions/{extraction_id}:
    get:
      tags:
        - agent-intent
      summary: Get Extraction
      operationId: >-
        get_extraction_v2_projects__project_id__log_streams__log_stream_id__agent_intent_extractions__extraction_id__get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: extraction_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Extraction Id
        - name: log_stream_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Log Stream Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentIntentDetailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    AgentIntentDetailResponse:
      properties:
        data:
          $ref: '#/components/schemas/AgentIntentDetail'
      additionalProperties: false
      type: object
      required:
        - data
      title: AgentIntentDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentIntentDetail:
      properties:
        project_id:
          type: string
          format: uuid
          title: Project Id
        log_stream_id:
          type: string
          format: uuid
          title: Log Stream Id
        attempt:
          $ref: '#/components/schemas/AgentIntentAttempt'
        result:
          anyOf:
            - $ref: '#/components/schemas/AgentIntentResultSummary'
            - type: 'null'
        artifacts:
          items:
            $ref: '#/components/schemas/AgentIntentArtifactDescriptor'
          type: array
          title: Artifacts
      additionalProperties: false
      type: object
      required:
        - project_id
        - log_stream_id
        - attempt
        - result
      title: AgentIntentDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AgentIntentAttempt:
      properties:
        extraction_id:
          type: string
          format: uuid
          title: Extraction Id
        status:
          $ref: '#/components/schemas/AgentIntentStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        error:
          anyOf:
            - $ref: '#/components/schemas/AgentIntentError'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - extraction_id
        - status
        - created_at
        - completed_at
      title: AgentIntentAttempt
    AgentIntentResultSummary:
      properties:
        extraction_id:
          type: string
          format: uuid
          title: Extraction Id
        result_version:
          type: integer
          title: Result Version
        schema_version:
          type: string
          title: Schema Version
          default: 1.0.0
        taxonomy_version:
          type: string
          title: Taxonomy Version
        evidence_start:
          type: string
          format: date-time
          title: Evidence Start
        checked_through:
          type: string
          format: date-time
          title: Checked Through
        semantic_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Semantic Updated At
        published_at:
          type: string
          format: date-time
          title: Published At
        descriptions:
          items:
            type: string
          type: array
          title: Descriptions
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        tool_usage_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Tool Usage Summary
        inference_status:
          $ref: '#/components/schemas/InferenceStatus'
        counts:
          additionalProperties:
            $ref: '#/components/schemas/pydantic__types__JsonValue'
          type: object
          title: Counts
        tool_count:
          type: integer
          title: Tool Count
        model_count:
          type: integer
          title: Model Count
        input_limited:
          type: boolean
          title: Input Limited
          description: Whether collection or LLM request-size limits reduced the input.
          default: false
      additionalProperties: false
      type: object
      required:
        - extraction_id
        - result_version
        - taxonomy_version
        - evidence_start
        - checked_through
        - semantic_updated_at
        - published_at
        - descriptions
        - category
        - tool_usage_summary
        - inference_status
        - counts
        - tool_count
        - model_count
      title: AgentIntentResultSummary
    AgentIntentArtifactDescriptor:
      properties:
        name:
          type: string
          enum:
            - result
            - system_prompts
            - tool_calls
          title: Name
        filename:
          type: string
          title: Filename
        content_type:
          type: string
          title: Content Type
        size_bytes:
          type: integer
          title: Size Bytes
        sha256:
          type: string
          title: Sha256
      additionalProperties: false
      type: object
      required:
        - name
        - filename
        - content_type
        - size_bytes
        - sha256
      title: AgentIntentArtifactDescriptor
    AgentIntentStatus:
      type: string
      enum:
        - QUEUED
        - RUNNING
        - COMPLETED
        - FAILED
        - SKIPPED
      title: AgentIntentStatus
    AgentIntentError:
      properties:
        code:
          type: string
          maxLength: 255
          minLength: 1
          title: Code
        message:
          type: string
          maxLength: 1000
          minLength: 1
          title: Message
      additionalProperties: false
      type: object
      required:
        - code
        - message
      title: AgentIntentError
    InferenceStatus:
      type: string
      enum:
        - sufficient
        - partial
        - insufficient
      title: InferenceStatus
    pydantic__types__JsonValue: {}
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.